PipeWire 0.1.9

Data Fields
pw_node_proxy_methods Struct Reference

Node methods. More...

## Data Fields
uint32_t | version
void(* | enum_params )(void *object, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)
| Enumerate node parameters. More...

## Detailed Description

Node methods.

## Field Documentation

## ◆ enum_params

void(* pw_node_proxy_methods::enum_params) (void *object, uint32_t id, uint32_t start, uint32_t num, const struct spa_pod *filter)

Enumerate node parameters.

Start enumeration of node parameters. For each param, a param event will be emited.

Parameters

  id | the parameter id to enum or SPA_ID_INVALID for all
  start | the start index or 0 for the first param
  num | the maximum number of params to retrieve
  filter | a param filter or NULL

## ◆ version

uint32_t pw_node_proxy_methods::version

The documentation for this struct was generated from the following file:

- interfaces.h